Tryton - Issues

 

Issue7267

Title Missing stock kind for french chart
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, risto3, roundup-bot
Type behavior Components account_fr
Assigned To ced Keywords review
Reviews 40241002
View: 40241002

Created on 2018-03-26.17:26:02 by ced, last changed by ced.

Messages
msg39623 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-04-01.14:42:33
Wrong, they must be stock to be allowed on product form, check the domain of account_stock* fields.
msg39622 (view) Author: [hidden] (risto3) Date: 2018-04-01.14:26:55
? The accounts used for 'stocks' (and outstanding production or 'encours') are in class 3. 
603x and 713x are the accounts used for recording these movements (or variation).
These should therefore probably be of kind 'other' with the domain fixed appropriately for stock moves.
PCG and chapter 6 Lefebvre are your friends.
New changeset 3e9dda172cdd by C├ędric Krier in branch 'default':
Set stock kind on 35*, 37* and 603* accounts
http://hg.tryton.org/modules/account_fr/rev/3e9dda172cdd
review40241002 updated at https://codereview.tryton.org/40241002/#ps20001
review40241002 updated at https://codereview.tryton.org/40241002/#ps1
msg39429 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-26.17:26:01
Since issue2475, the account_fr module has not be update to set the new stock kind.
History
Date User Action Args
2018-04-01 14:42:33cedsetstatus: chatting -> resolved
messages: + msg39623
2018-04-01 14:26:56risto3setstatus: resolved -> chatting
nosy: + risto3
messages: + msg39622
2018-03-31 19:24:57roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg39607
2018-03-28 12:08:16reviewbotsetmessages: + msg39490
2018-03-26 17:43:38reviewbotsetnosy: + reviewbot
messages: + msg39431
2018-03-26 17:27:12cedsetstatus: in-progress -> testing
reviews: 40241002
keyword: + review
2018-03-26 17:26:02cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)